function AddProvider ($iisSiteName, $provider)
{
	$sitePath = "IIS:\Sites\" + $iisSiteName
	$webConfig = Get-WebConfigFile $sitePath;
	$doc = (gc $webConfig) -as [xml]
	$provNode = $doc.CreateElement('add');
	
	$provNode.SetAttribute("name",$provider.name);
	$provNode.SetAttribute("description",$provider.description);
	$provNode.SetAttribute("type",$provider.type);
	$provNode.SetAttribute("NavigationType",$provider.NavigationType);
	
	$doc.configuration.'system.web'.siteMap.providers.AppendChild($provNode)
	$doc.Save($webConfig)
}